"use strict";

const clickedClass = "c-profile-block__heading--highlight";

function init(domElement) {
  this.element = domElement;
  this.heading = this.element.getElementsByClassName("c-profile-block__heading").item(0);

  if (this.heading) {
    this.heading.addEventListener("click", () => {
      toggleClicked.call(this);
    });
  }
}

function toggleClicked() {
  if (this.heading.classList.contains(clickedClass)) {
    this.heading.classList.remove(clickedClass);
  } else {
    this.heading.classList.add(clickedClass);
  }
}

module.exports = {
  init
};
